Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Typedef Nes::Core::Sound::Output::LockCallback

Sound lock callback prototype. Called right before the core is about to render sound for one frame. Non-written samples will be saved for the next frame.

Parameters:
  `userData` - optional user data
  `output` - object to this class
Returns:
  true if output memory is valid and samples can be written to it

Details

### LockCallback

    public typedef bool( NST_CALLBACK* LockCallback )( void* userData, Output& output );

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD